%define plugins animation colorfilter expo ezoom imgjpeg neg opacify put resizeinfo ring scaleaddon shift snap text thumbnail vpswitch wall winrules workarounds

Name: compiz-fusion
Version: 0.6.0       
Release: 12%{?dist}
Summary: Collection of Compiz Fusion plugins for Compiz      

Group: User Interface/Desktops        
License: GPLv2+       
URL: http://compiz-fusion.org            
Source0: http://releases.compiz-fusion.org/0.6.0/%{name}-plugins-main-%{version}.tar.bz2  
Patch0: workarounds-windowtype-fix.patch
Patch1: workaround-openoffice-fix.patch
Patch2: workarounds-fullscreenfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch: s390 s390x ppc64

BuildRequires: compiz-devel >= %{version}
BuildRequires: compiz-bcop >= %{version}
BuildRequires: gettext-devel
BuildRequires: cairo-devel
BuildRequires: pango-devel
BuildRequires: perl(XML::Parser)
BuildRequires: mesa-libGLU-devel
BuildRequires: libXrender-devel
BuildRequires: GConf2
BuildRequires: libjpeg-devel
BuildRequires: gawk
Requires: compiz >= %{version}      
Obsoletes: beryl-plugins

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience


%package gnome
Summary: Compiz Fusion gnome configuration
Group: User Interface/Desktops
Requires: %{name} = %{version}
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description gnome
This package contains the GNOME configuration for Compiz
Fusion

%package devel
Group: Development/Libraries
Summary: Development files for Compiz-Fusion
Requires: compiz-devel >= %{version}
Requires: %{name} = %{version}
Requires: cairo-devel
Requires: pango-devel

%description devel
This package contain development files required for developing other plugins


%prep
%setup -q -n %{name}-plugins-main-%{version}
%patch0 -p1 -b .windowtype-fix
%patch1 -p1 -b .oo-menu-fix
%patch2 -p1 -b .flash-fullscreen

%build
%configure --enable-schemas
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.a


%find_lang %{name}-plugins-main


%post gnome
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
for p in in %{plugins}; do
%{_bindir}/gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/compiz-$p.schemas >& /dev/null || :
done

%pre gnome
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
  for p in in %{plugins}; do
	%{_bindir}/gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/compiz-$p.schemas >& /dev/null || :
  done
fi

%preun gnome
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
  for p in in %{plugins}; do
	%{_bindir}/gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/compiz-$p.schemas >& /dev/null || :
  done
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}-plugins-main.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/filters/

%files  gnome
%defattr(-,root,root,-)
%{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-,root,root,-)
%{_includedir}/compiz/text.h
%{_libdir}/pkgconfig/compiz-text.pc


%changelog
* Sun Jan 06 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-12
- Readded accidently dropped memoryleak fix

* Sun Dec 30 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-11
- Fix stupid typo in the patch

* Thu Dec 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-10
- Plug small memory leak

* Thu Dec 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-9
- Don't break legacy apps that want to unfullscreen themselves

* Tue Dec 25 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-8
- Fix fullscreen for flash windows when legacy fullscreen is 
  enabled.

* Sat Dec 01 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-7
- Adding the patch isn't enough .. we have to apply it ;)

* Sat Dec 01 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-6
- Backport upstream openoffice menu fix

* Sun Oct 28 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-5
- Rediff patch

* Sun Oct 28 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-4
- Fix previous patch

* Sat Oct 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-3
- Apply patch from upstream to fix RH #354601

* Tue Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-2
- Obsolete beryl-plugins

* Mon Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-1
- Update to 0.6.0

* Fri Oct 12 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-10.09b700
- Fix BuildRequries to build missing plugins (RH #327411)
- Mock isn't broken but the Buildrequires ... remove hack

* Wed Oct 10 2007 Warren Togami <wtogami@redhat.com> 0.5.2-9.09b700
- >= instead of = to allow compiz upgrade flexibility

* Sun Sep 23 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-8.09b700
- Fix changelog date

* Sat Sep 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-7.09b700
- Update to 0.6 branch (builds against current compiz)

* Wed Sep 19 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-6
- Add animation to plugin list

* Sat Sep 15 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-5
- Fix gconf schemas install (RH #53692)

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-4
- Remove redundant buildrequires

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-3
- BuildRequire gawk

* Wed Aug 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-2
- Fix gconf schemas (un)installation

* Sat Aug 18 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-1
- Initial build

